Custom Domain
API referenceApplications

Create an application (client_secret returned once)

POST
/applications

Accepts the management key (the body tenant_id selects the tenant) or a tenant-scoped sk_ API key (the app is always created in the key's own tenant; any body tenant_id is ignored).

Authorization

AuthorizationBearer <token>

Operator management key. Gates provisioning + reads across tenants.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/applications" \  -H "Content-Type: application/json" \  -d '{    "tenant_id": "string",    "name": "string"  }'
{  "id": "string",  "tenant_id": "string",  "name": "string",  "environment": "production",  "created_at": "2019-08-24T14:15:22Z",  "client_secret": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}